Create Resident: Rent Manager
https://api.propexo.com/v1/residents/rentmanager/| Method |
|---|
| POST /Tenants |
| POST /Tenants/UserDefinedValues |
This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
- Array [
- ]
The Propexo unique identifier for the integration
The Propexo unique identifier for the property
How often the resident is expected to pay rent. Allowed values are "monthly", "weekly", and "daily". Maps to the RentPeriod property of the Tenant object.
Show 3 enum values
MONTHLYWEEKLYDAILYDay of the month on which the tenant's rent is due. Maps to the RentDueDay property of the Tenant object
Possible values: >= 1 and <= 31
The first name of the resident. This value maps to both the FirstName and PrimaryContact.FirstName properties of the Tenant object
The last name of the resident. This value maps to both the LastName and PrimaryContact.LastName properties of the Tenant object
The middle name of the resident. This value maps to the PrimaryContact.MiddleName property of the Tenant object
The primary email address for the resident. This value maps to the PrimaryContact.Email property of the Tenant object
The date of birth of the resident. This value maps to the PrimaryContact.DateOfBirth property of the Tenant object.
Notes about the resident
Street address for the resident. This maps to the Street property of the primary address of the Tenant object
City of the resident's primary address
State of the resident's primary address
Zip/Postal Code of the resident's primary address
Secondary/alternate street address for the resident. This maps to the Street property of the second address of the Tenant object
City of the resident's secondary/alternate address
State of the resident's secondary/alternate address
Zip/Postal Code of the resident's secondary/alternate address
custom_data objectdeprecated
Deprecated: Field is no longer applicable
attachments object[]
Attachment files for user defined fields on the resident. All the files can have a maximum combined file size of 50 MB
The Propexo unique identifier for the file type. This file_type must contain a "type" value of "file"
The type of file being uploaded. This defaults to "Document"
Show 1 enum value
DocumentDocumentThe contents of the file, as a base64 encoded string. The PMS has a max file size of 29 MB.
Possible values: <= 40443576 characters
The name of the file including the extension. Ex: "resume.pdf"
The mime type of the file. Ex: "application/pdf"
Response
Successful response
- Array [
- ]
meta objectrequired
result objectrequired
The Propexo unique identifier for the integration
The Propexo unique identifier for the property
How often the resident is expected to pay rent. Allowed values are "monthly", "weekly", and "daily". Maps to the RentPeriod property of the Tenant object.
Show 3 enum values
MONTHLYWEEKLYDAILYDay of the month on which the tenant's rent is due. Maps to the RentDueDay property of the Tenant object
Possible values: >= 1 and <= 31
The first name of the resident. This value maps to both the FirstName and PrimaryContact.FirstName properties of the Tenant object
The last name of the resident. This value maps to both the LastName and PrimaryContact.LastName properties of the Tenant object
The middle name of the resident. This value maps to the PrimaryContact.MiddleName property of the Tenant object
The primary email address for the resident. This value maps to the PrimaryContact.Email property of the Tenant object
The date of birth of the resident. This value maps to the PrimaryContact.DateOfBirth property of the Tenant object.
Notes about the resident
Street address for the resident. This maps to the Street property of the primary address of the Tenant object
City of the resident's primary address
State of the resident's primary address
Zip/Postal Code of the resident's primary address
Secondary/alternate street address for the resident. This maps to the Street property of the second address of the Tenant object
City of the resident's secondary/alternate address
State of the resident's secondary/alternate address
Zip/Postal Code of the resident's secondary/alternate address
custom_data object | nullrequireddeprecated
attachments object[]required
The Propexo unique identifier for the file type. This file_type must contain a "type" value of "file"
Show 1 enum value
DocumentDocumentThe contents of the file, as a base64 encoded string. The PMS has a max file size of 29 MB.
Possible values: <= 40443576 characters
The name of the file including the extension. Ex: "resume.pdf"
The mime type of the file. Ex: "application/pdf"
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/v1/residents/rentmanager/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"property_id": "string",
"rent_period": "MONTHLY",
"rent_due_day": 0,
"first_name": "string",
"last_name": "string"
}'
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"property_id": "string",
"rent_period": "MONTHLY",
"rent_due_day": 0,
"first_name": "string",
"last_name": "string",
"middle_name": "string",
"date_of_birth": "2024-07-29T15:51:28.071Z",
"notes": "string",
"address_1": "string",
"city": "string",
"state": "string",
"zip": "string",
"address_1_alternate": "string",
"city_alternate": "string",
"state_alternate": "string",
"zip_alternate": "string",
"attachments": "Unknown Type: array,null"
}
}